import { Input, Component } from '@angular/core';
var SimpleLoggerComponent = /** @class */ (function () {
    function SimpleLoggerComponent() {
        this.title = 'app';
        this._object = Object;
    }
    SimpleLoggerComponent.prototype.getColor = function (objKey, objValue) {
        for (var i in this.options) {
            var key = this.options[i].key;
            var value = this.options[i].value;
            var exp = this.options[i].exp;
            if (objKey == key && this.compare(objValue, exp, value)) {
                return ['#ffcbcb'];
            }
            else if (objKey == key) {
                return ['#d5ffbf'];
            }
        }
    };
    SimpleLoggerComponent.prototype.compare = function (post, operator, value) {
        switch (operator) {
            case '>': return post > value[0];
            case '<': return post < value[0];
            case '>=': return post >= value[0];
            case '<=': return post <= value[0];
            case '==': return post == value[0];
            case '!=': return post != value[0];
            case '===': return post === value[0];
            case '!==': return post !== value[0];
            case '[]': return post >= value[0] && post <= value[1];
            case '||': return value.indexOf(post) > -1;
        }
    };
    SimpleLoggerComponent.decorators = [
        { type: Component, args: [{
                    selector: 'icf-table',
                    template: "\n  <div class=\"card-padding\">\n  <div class=\"card\">\n  <div class=\"card-header\"><span>Asset Alert History</span></div>\n  <table  class=\"table table-hover\">\n    <thead>\n      <tr>\n        <td *ngFor=\"let header of _object.keys(jsonData[0]); let i = index\">{{header}}</td>\n      </tr>\n    </thead>\n    <tbody>\n      <tr *ngFor=\"let row of jsonData; let i = index\">\n        <td  *ngFor=\"let objKey of _object.keys(row); let j = index\" \n         [ngStyle]=\"{'background-color':getColor(objKey, row[objKey])}\">\n        <span>{{ row[objKey] }}</span></td>\n      </tr>\n    </tbody>\n  </table>\n  </div>\n  </div>\n   ",
                    styles: ["\n.card-padding{\n  padding:30px;\n}  \ntable {\n  width: 100%;\n  border-collapse: collapse;\n  max-width: 100%;\n  background-color: transparent;\n  margin-bottom: 0px;   \n}\n.table td {\n  padding: .85rem;\n  vertical-align: top;\n  border-top: 1px solid #dee2e6;\n}\n  \n.card .table tbody td {\n    font-size: 14px;\n    position: relative;\n}\n\n.card .table tbody tr:hover td, .card .table tr.active {\n    background-color: #f6f8fa;\n}\n.card .table thead td {\n    background-color: #edf1f5;\n    font-weight: 500;\n    font-size: 12px;\n    text-transform: uppercase;\n    position: relative;\n}\n.card {\n    box-shadow: 0 1px 2px rgba(0,0,0, 0.2);\n    border: 1px solid #dee2e6;\n    }\n\n.card .card-header {\n    padding: .35rem 0.6rem;\n    margin-bottom: 0;\n    background-color: rgb(255, 255, 255);\n    border-bottom: 1px solid rgba(0,0,0,.125);\n    text-transform: uppercase;\n    font-size: 15px;\n}\n.card .card-header span {\n    line-height:2;\n    font-weight: 600;\n}\n\n\n"]
                },] },
    ];
    /** @nocollapse */
    SimpleLoggerComponent.ctorParameters = function () { return []; };
    SimpleLoggerComponent.propDecorators = {
        "jsonData": [{ type: Input },],
        "options": [{ type: Input },],
    };
    return SimpleLoggerComponent;
}());
export { SimpleLoggerComponent };
//# sourceMappingURL=simple-logger.component.js.map